ALTER TABLE BMS.[BridgeDetails] ADD DateofInspection DATETIME
ALTER TABLE BMS.[BridgeDetails] ADD RoadCode NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD Direction NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD Chainage INT
ALTER TABLE BMS.[BridgeDetails] ADD CnstrctYear NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD BrdgType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD BrdgFunc NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD RiverName NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD NearByPlace NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD ContractorFirm NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD SupervisedConsultant NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD DesignConsultant NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD StreamCategory NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD SkewAngle NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD BrdgGradient bit
ALTER TABLE BMS.[BridgeDetails] ADD HFLBedLevel decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD Clearverticaldistance decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD SuperStrctType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD FootpathType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD OrentofDrngPipe NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD PipeMaterial NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD WaterWay NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD LocofSrvc NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD BedMaterialType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD Strctnum NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD MainSuperStrctType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD Type2SpanNo int
ALTER TABLE BMS.[BridgeDetails] ADD Type2SpanLength int
ALTER TABLE BMS.[BridgeDetails] ADD Type3SpanNo int
ALTER TABLE BMS.[BridgeDetails] ADD Type3SpanLength int
ALTER TABLE BMS.[BridgeDetails] ADD TotalSpanNo int
ALTER TABLE BMS.[BridgeDetails] ADD SkewValue decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD PresentLoading NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD SideSlopePitch bit
ALTER TABLE BMS.[BridgeDetails] ADD FloorPrtctPrvd bit
ALTER TABLE BMS.[BridgeDetails] ADD SrvcLineCrosBrdg bit
ALTER TABLE BMS.[BridgeDetails] ADD FloorPrtctType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD NoSrvcDuctsFootpath int
ALTER TABLE BMS.[BridgeDetails] ADD ExpnJointsNo int
ALTER TABLE BMS.[BridgeDetails] ADD NoofSrvcLine int
ALTER TABLE BMS.[BridgeDetails] ADD SrvcLinePresentOn NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD SrvcLineType nvarchar(60)
ALTER TABLE BMS.[BridgeDetails] ADD Type1SpanLength int
ALTER TABLE BMS.[BridgeDetails] ADD SideSlopePitchType NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD PipesDiameter decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD SpacingBtwnPipes decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD HeadwallLength decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD Crossingtherivertype NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD PipeMtrl NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD PipesCount INT
ALTER TABLE BMS.[BridgeDetails] ADD CushionAbovePipe decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD BrdgCatg NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD PrtctWrksCondSev NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD PrtctWrksCondExt NVARCHAR(60)
ALTER TABLE BMS.[BridgeDetails] ADD SideSlpPitchArea decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD FloorPrtctArea decimal(9,3)
ALTER TABLE BMS.[BridgeDetails] ADD WtrwayBlockage bit
GO
UPDATE BMS.[BridgeDetails] SET bridgeovertopped = CASE WHEN bridgeovertopped = 'Yes' THEN 1 WHEN bridgeovertopped = 'No' THEN 0 ELSE NULL END
UPDATE BMS.[BridgeDetails] SET SignBoardDamaged = CASE WHEN SignBoardDamaged = 'Yes' THEN 1 WHEN SignBoardDamaged = 'No' THEN 0 ELSE NULL END
UPDATE BMS.[BridgeDetails] SET KerbonBridge = CASE WHEN KerbonBridge = 'Yes' THEN 1 WHEN KerbonBridge = 'No' THEN 0 ELSE NULL END
UPDATE BMS.[BridgeDetails] SET FootpathonBridge = CASE WHEN FootpathonBridge = 'Yes' THEN 1 WHEN FootpathonBridge = 'No' THEN 0 ELSE NULL END
UPDATE BMS.[BridgeDetails] SET DrainageSpoutsprovided = CASE WHEN DrainageSpoutsprovided = 'Yes' THEN 1 WHEN DrainageSpoutsprovided = 'No' THEN 0 ELSE NULL END
UPDATE BMS.[BridgeDetails] SET ExpansionJointExists = CASE WHEN ExpansionJointExists = 'Yes' THEN 1 WHEN ExpansionJointExists = 'No' THEN 0 ELSE NULL END
UPDATE BMS.[BridgeDetails] SET ApproachSlabprovided = CASE WHEN ApproachSlabprovided = 'Yes' THEN 1 WHEN ApproachSlabprovided = 'No' THEN 0 ELSE NULL END
GO
alter table BMS.[BridgeDetails] alter column bridgeovertopped bit 
alter table BMS.[BridgeDetails] alter column SignBoardDamaged bit 
alter table BMS.[BridgeDetails] alter column KerbonBridge bit 
alter table BMS.[BridgeDetails] alter column FootpathonBridge bit 
alter table BMS.[BridgeDetails] alter column DrainageSpoutsprovided bit 
alter table BMS.[BridgeDetails] alter column ExpansionJointExists bit 
alter table BMS.[BridgeDetails] alter column ApproachSlabprovided bit 
alter table BMS.[BridgeDetails] alter column ArrangementofSpans nvarchar(60)
GO
EXEC sp_rename 'BMS.[BridgeDetails].NoofSpans', 'Type1SpanNo', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].ArrangementofSpans', 'SpanArrgmnt', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].OverallBridgelength', 'BrdgLen', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].bridgeovertopped', 'BrdgOvrTop', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].SignBoardDamaged', 'SignBrdDmgd', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].Width', 'RailWidth', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].height', 'RailHeight', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].CCofRCCPost', 'CCRailing', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].Typeofwearingcoat', 'WearingCoatType', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].ApproachSlabprovided', 'ApprchSlabPrvd', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].Length', 'ApprchLength', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].ApproachRoadTotalWidth', 'ApprchRoadWidth', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].DrainageSpoutsprovided', 'DrngSpoutsPrvd', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].Noofspouts', 'NoofSpoutsPerSpan', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].ExpansionJointExists', 'ExpnJointExists', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].ExpansionJointsTypes', 'ExpnJointType', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].BedMaterialType', 'BedMtrlType', 'COLUMN'
EXEC sp_rename 'BMS.[BridgeDetails].PipeMaterial', 'DrngePipeMaterial', 'COLUMN'
GO
alter table BMS.[BridgeDetails] drop column Altitude
alter table BMS.[BridgeDetails] drop column NoofLanes
alter table BMS.[BridgeDetails] drop column PCU
alter table BMS.[BridgeDetails] drop column WearingCoatThickness
alter table BMS.[BridgeDetails] drop column SolidorHallow
GO
alter table [BMS].[AbutmentDetails] add DateofInspection datetime
alter table [BMS].[AbutmentDetails] add FndtionType nvarchar(60)
alter table [BMS].[AbutmentDetails] add RaftWidth decimal(9,3)
alter table [BMS].[AbutmentDetails] add Raftlength decimal(9,3)
alter table [BMS].[AbutmentDetails] add NoofPiles decimal(9,3)
alter table [BMS].[AbutmentDetails] add WlPlDiameter decimal(9,3)
alter table [BMS].[AbutmentDetails] add WellDepth decimal(9,3)
alter table [BMS].[AbutmentDetails] add FndtionMtrlType nvarchar(60)
alter table [BMS].[AbutmentDetails] add ClmnsLenatTop decimal(9,3)
alter table [BMS].[AbutmentDetails] add ClmnsLenatBttm decimal(9,3)
alter table [BMS].[AbutmentDetails] add capThick decimal(9,3)
alter table [BMS].[AbutmentDetails] add DrtWallLength decimal(9,3)
alter table [BMS].[AbutmentDetails] add WeepHolesPrvd bit
alter table [BMS].[AbutmentDetails] add WeepHolesCount decimal(9,3)
alter table [BMS].[AbutmentDetails] add RetningWallType nvarchar(60)
alter table [BMS].[AbutmentDetails] add RetningWallMtrl nvarchar(60)
alter table [BMS].[AbutmentDetails] add LengthonEachSide decimal(9,3)
alter table [BMS].[AbutmentDetails] add BearingsPrvd bit
alter table [BMS].[AbutmentDetails] add BearingsVisible bit
alter table [BMS].[AbutmentDetails] add SmcRstnrPrvd bit
alter table [BMS].[AbutmentDetails] add SmcRstnrMtrl nvarchar(60)
alter table [BMS].[AbutmentDetails] add SmcRstnrLoc nvarchar(60)
alter table [BMS].[AbutmentDetails] add PileWidth decimal(9,3)
alter table [BMS].[AbutmentDetails] add WellType nvarchar(60)
GO
EXEC sp_rename '[BMS].[AbutmentDetails].NumberofColumns', 'ClmnsCount', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Thicknesstop', 'ClmnsThcktop', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Thicknessbottom', 'ClmnsThckbttm', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].BearingAbutmentType', 'AbtmntBearingsType', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].NoofBearings', 'BearingsCount', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].AbutmentNo', 'AbtmntNo', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].AbutmentType', 'AbtmntType', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].AbutmentMaterial', 'AbtmntMtrl', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Height', 'ClmnsHeight', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Lengthofcap', 'CapLength', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Widthofcap', 'CapWidth', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Dirtwallthickness', 'DrtWallThck', 'COLUMN'
EXEC sp_rename '[BMS].[AbutmentDetails].Dirtwallheight', 'DrtWallHeight', 'COLUMN'
GO
alter table [BMS].[AbutmentDetails] drop column  AbutmentWallType
alter table [BMS].[AbutmentDetails] drop column  AbutmentWallMaterialType
alter table [BMS].[AbutmentDetails] drop column  AngleofwingwallReturnwall
alter table [BMS].[AbutmentDetails] drop column  WallLength
alter table [BMS].[AbutmentDetails] drop column  AbutmentwallRailingtype
alter table [BMS].[AbutmentDetails] drop column  AbutmentwallRailingMaterialtype
alter table [BMS].[AbutmentDetails] drop column SurveyYear
alter table [BMS].[AbutmentDetails] drop column SpanNo
alter table [BMS].[AbutmentDetails] drop column TotalWidthofAbutment
alter table [BMS].[AbutmentDetails] drop column Heightofcap
alter table [BMS].[AbutmentDetails] drop column gapbtwdirtwalltosuperstructuremm
alter table [BMS].[AbutmentDetails] drop column DirtWallMaterialType
alter table [BMS].[AbutmentDetails] drop column RailingLength
alter table [BMS].[AbutmentDetails] drop column Earthquakerestrainerdampenerisprovided
GO
alter table [BMS].[PierDetails] add DateofInspection datetime
alter table [BMS].[PierDetails] add FndtionType nvarchar(60)
alter table [BMS].[PierDetails] add RaftWidth decimal(9,3)
alter table [BMS].[PierDetails] add Raftlength decimal(9,3)
alter table [BMS].[PierDetails] add NoofPiles decimal(9,3)
alter table [BMS].[PierDetails] add WlPlDiameter decimal(9,3)
alter table [BMS].[PierDetails] add WellDepth decimal(9,3)
alter table [BMS].[PierDetails] add FndtionMtrlType nvarchar(60)
alter table [BMS].[PierDetails] add CapLenBttm decimal(9,3)
alter table [BMS].[PierDetails] add BearingsPrvd bit
alter table [BMS].[PierDetails] add BearingsVisible bit
alter table [BMS].[PierDetails] add SmcRstnrPrvd bit
alter table [BMS].[PierDetails] add SmcRstnrMtrl nvarchar(60)
alter table [BMS].[PierDetails] add SmcRstnrLoc nvarchar(60)
alter table [BMS].[PierDetails] add PileWidth decimal(9,3)
alter table [BMS].[PierDetails] add WellFundtionType nvarchar(60)
GO
EXEC sp_rename '[BMS].[PierDetails].WidthofcapM', 'CapWidth', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].UniformheightofcapM', 'UniformCapHeight', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].TaperedheightofcapM', 'TaperedCapHeight', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].LengthofcapM', 'CapLenTop', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].LengthattopM', 'PierTopLen', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].LengthatbottomM', 'PierBttmLen', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].HeightM', 'PierHeight', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].ThicknesstopM', 'ClmnsThcktop', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].NoofColumns', 'ClmnsCount', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].ThicknessbottomM', 'ClmnsThckbttm', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].BearingPier', 'PierBearingsType', 'COLUMN'
EXEC sp_rename '[BMS].[PierDetails].NoOfBearings', 'BearingsCount', 'COLUMN'
GO
alter table [BMS].[PierDetails] drop column SurveyYear
alter table [BMS].[PierDetails] drop column SpanNo
alter table [BMS].[PierDetails] drop column DiaOfColumnsM
alter table [BMS].[PierDetails] drop column SpacingofColumnsM
alter table [BMS].[PierDetails] drop column HeightofColumnM
alter table [BMS].[PierDetails] drop column Cuteasewaterisprovided
alter table [BMS].[PierDetails] drop column CutEaseWaterThicknessM
alter table [BMS].[PierDetails] drop column erthquakrestrindampnsprovd
GO
alter table [BMS].[SuperStructureDetails] add SpanLen decimal(9,3)
alter table [BMS].[SuperStructureDetails] add SpanTopWidth decimal(9,3)
alter table [BMS].[SuperStructureDetails] add SpanBttmWidth decimal(9,3)
alter table [BMS].[SuperStructureDetails] add SpanThickness decimal(9,3)
alter table [BMS].[SuperStructureDetails] add CrossGirderDepth decimal(9,3)
alter table [BMS].[SuperStructureDetails] add CrossGirderThick decimal(9,3)
alter table [BMS].[SuperStructureDetails] add MainSpanLen decimal(9,3)
alter table [BMS].[SuperStructureDetails] add CantileverSpanLen decimal(9,3)
alter table [BMS].[SuperStructureDetails] add SuspendedSpanLen decimal(9,3)
alter table [BMS].[SuperStructureDetails] add PylonCableCount decimal(9,3)
alter table [BMS].[SuperStructureDetails] add ArchDepth decimal(9,3)
alter table [BMS].[SuperStructureDetails] add DateofInspection datetime
GO
EXEC sp_rename '[BMS].[SuperStructureDetails].LongitudinalGirdersNos', 'LongGirderCount', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].LongitudinalGirdersSpacingM', 'LongGirderSpacing', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].LongitudinalGirdersDepthM', 'LongGirderDepth', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].LongitudinalGirdersWidthM', 'LongGirderWidth', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].CrossGirdersNos', 'CrossGirdersCount', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].Crsgirdmonolthkwtdkslb', 'MonolithicCrossGirder', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].Numberofarchineachspan', 'ArchCountinSpan', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].CentretoCentreSpacingofArchM', 'ArchSpace', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].ArchDepthofspandrelatsupportM', 'ArchSupportThickness', 'COLUMN'
EXEC sp_rename '[BMS].[SuperStructureDetails].ArchDepthofspandrelatCrownM', 'ArchCrownThickness', 'COLUMN'
GO
UPDATE [BMS].[SuperStructureDetails] SET MonolithicCrossGirder = CASE WHEN MonolithicCrossGirder = 'Yes' THEN 1 WHEN MonolithicCrossGirder = 'No' THEN 0 ELSE NULL END
GO
alter table [BMS].[SuperStructureDetails] alter column MonolithicCrossGirder bit 
GO
alter table [BMS].[SuperStructureDetails] drop column SurveyYear
alter table [BMS].[SuperStructureDetails] drop column Typeofsuperstructure
alter table [BMS].[SuperStructureDetails] drop column DeckSlab
alter table [BMS].[SuperStructureDetails] drop column DeckSlabThicknessM
alter table [BMS].[SuperStructureDetails] drop column SteelMembersConnectionType
alter table [BMS].[SuperStructureDetails] drop column DateofInventory
alter table [BMS].[SuperStructureDetails] drop column Dimsteelmem
alter table [BMS].[SuperStructureDetails] drop column Material
alter table [BMS].[SuperStructureDetails] drop column DeckslabtransversallyPrestressed
alter table [BMS].[SuperStructureDetails] drop column StructuralSystem

GO
CREATE TABLE [BMS].[LKPTWellType](
	[WellId] [int] IDENTITY(1,1) NOT NULL,
	[WellType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTWellType] PRIMARY KEY CLUSTERED 
(
	[WellId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
INSERT INTO [BMS].[LKPTWellType]([WellType],[Description]) VALUES ('SC','Single Circular')
INSERT INTO [BMS].[LKPTWellType]([WellType],[Description]) VALUES ('DC','Double Circular')
INSERT INTO [BMS].[LKPTWellType]([WellType],[Description]) VALUES ('DDS','Double D Shape')
GO
CREATE TABLE [BMS].[LKPTSmcMtrl](
	[SmcMtrlId] [int] IDENTITY(1,1) NOT NULL,
	[SmcMtrlType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTSmcMtrl] PRIMARY KEY CLUSTERED 
(
	[SmcMtrlId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
INSERT INTO [BMS].[LKPTSmcMtrl]([SmcMtrlType],[Description]) VALUES ('CC','Concrete')
INSERT INTO [BMS].[LKPTSmcMtrl]([SmcMtrlType],[Description]) VALUES ('St','Steel')
GO
CREATE TABLE [BMS].[LKPTSrvcLineType](
	[SrvcLineId] [int] IDENTITY(1,1) NOT NULL,
	[SrvcLineType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTSrvcLineType] PRIMARY KEY CLUSTERED 
(
	[SrvcLineId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
INSERT INTO [BMS].[LKPTSrvcLineType]([SrvcLineType],[Description]) VALUES ('E','Electric')
INSERT INTO [BMS].[LKPTSrvcLineType]([SrvcLineType],[Description]) VALUES ('TP','Telephone')
INSERT INTO [BMS].[LKPTSrvcLineType]([SrvcLineType],[Description]) VALUES ('Wt','water')
INSERT INTO [BMS].[LKPTSrvcLineType]([SrvcLineType],[Description]) VALUES ('Sw','Sewage')
INSERT INTO [BMS].[LKPTSrvcLineType]([SrvcLineType],[Description]) VALUES ('G','Gas')
GO
CREATE TABLE [BMS].[LKPTRetningType](
	[RetningId] [int] IDENTITY(1,1) NOT NULL,
	[RetningType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTRetningType] PRIMARY KEY CLUSTERED 
(
	[RetningId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
INSERT INTO [BMS].[LKPTRetningType]([RetningType],[Description]) VALUES ('RW','Returnwall')
INSERT INTO [BMS].[LKPTRetningType]([RetningType],[Description]) VALUES ('WW','Wingwall')
GO
CREATE TABLE [BMS].[LKPTRetningMtrl](
	[RetningMtrlId] [int] IDENTITY(1,1) NOT NULL,
	[RetningMtrlType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTRetningMtrl] PRIMARY KEY CLUSTERED 
(
	[RetningMtrlId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) 
GO
INSERT INTO [BMS].[LKPTRetningMtrl]([RetningMtrlType],[Description]) VALUES ('SM','Stone Masonry')
INSERT INTO [BMS].[LKPTRetningMtrl]([RetningMtrlType],[Description]) VALUES ('BM','Brick Masonry')
INSERT INTO [BMS].[LKPTRetningMtrl]([RetningMtrlType],[Description]) VALUES ('PCC','PCC')
INSERT INTO [BMS].[LKPTRetningMtrl]([RetningMtrlType],[Description]) VALUES ('RCC','RCC')
INSERT INTO [BMS].[LKPTRetningMtrl]([RetningMtrlType],[Description]) VALUES ('RW','RE Wall')
GO
CREATE TABLE [BMS].[LKPTPipeMaterial](
	[PipeMaterialId] [int] IDENTITY(1,1) NOT NULL,
	[PipeMaterialType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTPipeMaterial] PRIMARY KEY CLUSTERED 
(
	[PipeMaterialId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
INSERT INTO [BMS].[LKPTPipeMaterial]([PipeMaterialType],[Description]) VALUES ('P','PVC')
INSERT INTO [BMS].[LKPTPipeMaterial]([PipeMaterialType],[Description]) VALUES ('CI','Cast Iron')
GO
CREATE TABLE [BMS].[LKPTMainSupStructType](
	[MainSupStructId] [int] IDENTITY(1,1) NOT NULL,
	[MainSupStructType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTMainSupStructType] PRIMARY KEY CLUSTERED 
(
	[MainSupStructId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
INSERT INTO [BMS].[LKPTMainSupStructType]([MainSupStructType],[Description]) VALUES ('P','Pipe')
INSERT INTO [BMS].[LKPTMainSupStructType]([MainSupStructType],[Description]) VALUES ('S','Slab')
INSERT INTO [BMS].[LKPTMainSupStructType]([MainSupStructType],[Description]) VALUES ('G','Girder')
INSERT INTO [BMS].[LKPTMainSupStructType]([MainSupStructType],[Description]) VALUES ('A','Arch')
INSERT INTO [BMS].[LKPTMainSupStructType]([MainSupStructType],[Description]) VALUES ('SS','Steel Structure')
INSERT INTO [BMS].[LKPTMainSupStructType]([MainSupStructType],[Description]) VALUES ('Oth','Others')
GO
CREATE TABLE [BMS].[LKPTPipeMtrlType](
	[PipeMtrlId] [int] IDENTITY(1,1) NOT NULL,
	[PipeMtrlType] [varchar](50) NULL,
	[Description] [varchar](100) NULL,
 CONSTRAINT [PK_LKPTPipeMtrlType] PRIMARY KEY CLUSTERED 
(
	[PipeMtrlId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
)
GO
insert into bms.LKPTPipeMtrlType (PipeMtrlType, Description) values('1',	'PCC')
insert into bms.LKPTPipeMtrlType (PipeMtrlType, Description) values('2',	'RCC')
insert into bms.LKPTPipeMtrlType (PipeMtrlType, Description) values('3',	'Stone Masonry')
insert into bms.LKPTPipeMtrlType (PipeMtrlType, Description) values('4',	'Brick Masonry')
