
ALTER TABLE BMS.[CrossGirderCondition] ADD MetallicSoundLocCnt INT   
ALTER TABLE BMS.[CrossGirderCondition] ADD HallowSoundLocCnt INT   
ALTER TABLE BMS.[CrossGirderCondition] ADD IsConcreteSpalling BIT   
ALTER TABLE BMS.[CrossGirderCondition] ADD NumberofSpalls decimal(9,3)    
ALTER TABLE BMS.[CrossGirderCondition] ADD SpallingArea decimal(9,3) 
ALTER TABLE BMS.[CrossGirderCondition] ADD SpallingDepth decimal(9,3)      
ALTER TABLE BMS.[CrossGirderCondition] ADD EffectedLocCnt decimal(9,3)    
ALTER TABLE BMS.[CrossGirderCondition] ADD IsCracked BIT    
ALTER TABLE BMS.[CrossGirderCondition] ADD CrackPerc decimal(9,3)    
ALTER TABLE BMS.[CrossGirderCondition] ADD CrackFoundSection NVARCHAR(60)
ALTER TABLE BMS.[CrossGirderCondition] ADD ExposedReinfLocCnt INT
ALTER TABLE BMS.[CrossGirderCondition] ADD PitCorrosion NVARCHAR(60)
ALTER TABLE BMS.[CrossGirderCondition] ADD VisibleDeflectionsCnt INT
ALTER TABLE BMS.[CrossGirderCondition] ADD ModerateDeflect decimal(9,3)
ALTER TABLE BMS.[CrossGirderCondition] ADD ExcessiveDeflect decimal(9,3)
ALTER TABLE BMS.[CrossGirderCondition] ADD CrssPreStressAnchrg BIT
ALTER TABLE BMS.[CrossGirderCondition] ADD NoOfanchordamagedinspan decimal(9,3)
ALTER TABLE BMS.[CrossGirderCondition] ADD DamagedAnchrgCnt INT
ALTER TABLE BMS.[CrossGirderCondition] ADD AnchgCorrEndDegree decimal(9,3)
ALTER TABLE BMS.[CrossGirderCondition] ADD DescofDmgofDucts NVARCHAR(60)
ALTER TABLE BMS.[CrossGirderCondition] ADD AnchgCorrDegree decimal(9,3)
ALTER TABLE BMS.[CrossGirderCondition] ADD InspectedNtMsrd BIT
ALTER TABLE BMS.[CrossGirderCondition] ADD CrsGirderCondSev NVARCHAR(60)
ALTER TABLE BMS.[CrossGirderCondition] ADD CrsGirderCondExt NVARCHAR(60)

EXEC sp_rename 'BMS.[CrossGirderCondition].CorrosionofReinforcement', 'ReinfrcCorr', 'COLUMN'
EXEC sp_rename 'bms.CrossGirderCondition.TypeofCracks', 'CrckType', 'COLUMN'
EXEC sp_rename 'bms.CrossGirderCondition.LengthofCrack', 'CrckLength', 'COLUMN'
EXEC sp_rename 'bms.CrossGirderCondition.widthofcracks', 'CrckWidth', 'COLUMN'

alter table BMS.[CrossGirderCondition] drop column Noofcracks
alter table BMS.[CrossGirderCondition] drop column Locationofcracks
alter table BMS.[CrossGirderCondition] drop column Spalling
alter table BMS.[CrossGirderCondition] drop column PoorConcrete
alter table BMS.[CrossGirderCondition] drop column ConditionofConnections
alter table BMS.[CrossGirderCondition] drop column ConditionofPaintings
alter table BMS.[CrossGirderCondition] drop column ConditionofSteelNumbers
alter table BMS.[CrossGirderCondition] drop column Season


--alter table [BMS].CrossGirderCondition alter column CrackFoundSection NVARCHAR(60)

alter table [BMS].[DeckSlabCondition] drop column Numberofcracks
alter table [BMS].[DeckSlabCondition] drop column Locationofcracks
alter table [BMS].[DeckSlabCondition] drop column Noofbarsexposed
alter table [BMS].[DeckSlabCondition] drop column PoorConcrete
alter table [BMS].[DeckSlabCondition] drop column Floreseffectedlocationno
alter table [BMS].[DeckSlabCondition] drop column Excessivevibrationisobserved
alter table [BMS].[DeckSlabCondition] drop column ConditionofConnections
alter table [BMS].[DeckSlabCondition] drop column ConditionofPainting
alter table [BMS].[DeckSlabCondition] drop column ConditionofSteelMembers
alter table [BMS].[DeckSlabCondition] drop column hitslabbyhammer
alter table [BMS].[DeckSlabCondition] drop column NumberofLooseStrands
alter table [BMS].[DeckSlabCondition] drop column TotalNumberofStrandsateachAnchorage
alter table [BMS].[DeckSlabCondition] drop column VerticalDeflectionofContilevertip
alter table [BMS].[DeckSlabCondition] drop column dripcourseatedgofslab
alter table [BMS].[DeckSlabCondition] drop column CondCode
alter table [BMS].[DeckSlabCondition] drop column DeckSlabCondCode
alter table [BMS].[DeckSlabCondition] drop column Season

										   
ALTER TABLE [BMS].[DeckSlabCondition] ADD  DripCourseExistence NVARCHAR(60)  
ALTER TABLE [BMS].[DeckSlabCondition] ADD  MetallicSoundLocCnt INT
ALTER TABLE [BMS].[DeckSlabCondition] ADD  HallowSoundLocCnt INT
ALTER TABLE [BMS].[DeckSlabCondition] ADD  IsConcreteSpalling bit
ALTER TABLE [BMS].[DeckSlabCondition] ADD  EffectedLocCnt decimal(9,3)
ALTER TABLE [BMS].[DeckSlabCondition] ADD  IsCracked bit
ALTER TABLE [BMS].[DeckSlabCondition] ADD  CrackPerc decimal(9,3)
ALTER TABLE [BMS].[DeckSlabCondition] ADD  CrackFoundSection NVARCHAR(60)  
ALTER TABLE [BMS].[DeckSlabCondition] ADD  ExposedReinfLocCnt INT
ALTER TABLE [BMS].[DeckSlabCondition] ADD  PreStressWrCorrDegree decimal(9,3)

UPDATE [BMS].[DeckSlabCondition] SET DeflectionVisible = NULL
UPDATE [BMS].[DeckSlabCondition] SET AnchorForCrossPreStressing =  NULL
UPDATE [BMS].[DeckSlabCondition] SET ElementinspectedbutnotMeasured = NULL

alter table [BMS].[DeckSlabCondition] alter column DeflectionVisible INT 
alter table [BMS].[DeckSlabCondition] alter column AnchorForCrossPreStressing bit
alter table [BMS].[DeckSlabCondition] alter column ElementinspectedbutnotMeasured bit


EXEC sp_rename '[BMS].[DeckSlabCondition].locationsofspotswhereconcretediscoloured', 'DiscolouredLoc', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].ConditionofJointBetweenDeckSlabandGirders', 'DeckSlabGirdersJointCond', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].Spalling', 'SpallingArea', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].DepthOfEachSpall', 'SpallingDepth', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].Typeofcracks', 'CrackType', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].Lengthofcrack', 'CrackLen', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].widthofcracks', 'CrackWidth', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].Locationofcorrosionofreinforcement', 'ReinfrcCorrLoc', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].PercentageofCorrosion', 'CorrPerc', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].DeflectionVisible', 'VisibleDeflectionsCnt', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].ModerateDeflection', 'ModerateDeflect', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].ExcessiveDeflection', 'ExcessiveDeflect', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].AnchorForCrossPreStressing', 'CrssPreStressAnchrg', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].NumberofDamagedAnchorinaSpan', 'DamagedAnchrgCnt', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].DescriptionofDamage', 'DmgDesc', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].DegreeofCorrosionoftheAnchorageend', 'AnchgCorrEndDegree', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].DescriptionofDamageofDucts', 'DamagedDuctsDtls', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].ElementinspectedbutnotMeasured', 'InspectedNtMsrd', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].SlabConditionSeverity', 'SlabConditionSever', 'COLUMN'
EXEC sp_rename '[BMS].[DeckSlabCondition].SlabconditionExtent', 'SlabconditionExt', 'COLUMN'

alter table [BMS].[GirderCondition] drop column NumberofcracksNum
alter table [BMS].[GirderCondition] drop column Locationofcracks
alter table [BMS].[GirderCondition] drop column PoorConcrete
alter table [BMS].[GirderCondition] drop column conditionofconnections
alter table [BMS].[GirderCondition] drop column conditionofpaintings
alter table [BMS].[GirderCondition] drop column conditionofsteelnumbers
alter table [BMS].[GirderCondition] drop column NumberofLooseStrands
alter table [BMS].[GirderCondition] drop column NoOfstrandsatanchorage
alter table [BMS].[GirderCondition] drop column Floreseffectedlocationno
alter table [BMS].[GirderCondition] drop column CondCode
alter table [BMS].[GirderCondition] drop column Season


ALTER TABLE [BMS].[GirderCondition] ADD MetallicSoundLocCnt INT    
ALTER TABLE [BMS].[GirderCondition] ADD HallowSoundLocCnt INT
ALTER TABLE [BMS].[GirderCondition] ADD IsConcreteSpalling bit
ALTER TABLE [BMS].[GirderCondition] ADD SpallingDepth decimal(9,3)
ALTER TABLE [BMS].[GirderCondition] ADD IsCracked bit
ALTER TABLE [BMS].[GirderCondition] ADD CrackPerc decimal(9,3) 
ALTER TABLE [BMS].[GirderCondition] ADD CrackFoundSection NVARCHAR(60)  
ALTER TABLE [BMS].[GirderCondition] ADD PitCorrosion NVARCHAR(60)
ALTER TABLE [BMS].[GirderCondition] ADD ModerateDeflect decimal(9,3)
ALTER TABLE [BMS].[GirderCondition] ADD ExcessiveDeflect decimal(9,3)  
ALTER TABLE [BMS].[GirderCondition] ADD DmgDesc NVARCHAR(60)
ALTER TABLE [BMS].[GirderCondition] ADD AnchgCorrEndDegree decimal(9,3)  

UPDATE [BMS].[GirderCondition] SET NumberOfSpallLocation = NULL
UPDATE [BMS].[GirderCondition] SET DeflectionVisible = NULL
UPDATE [BMS].[GirderCondition] SET AnchorForCrossPreStressing = NULL
UPDATE [BMS].[GirderCondition] SET NoOfanchordamagedinspan = NULL
UPDATE [BMS].[GirderCondition] SET Inspectedbutnotmeasured = NULL

alter table [BMS].[GirderCondition] alter column NumberOfSpallLocation INT 
alter table [BMS].[GirderCondition] alter column DeflectionVisible INT 
alter table [BMS].[GirderCondition] alter column AnchorForCrossPreStressing bit 
alter table [BMS].[GirderCondition] alter column NoOfanchordamagedinspan INT 
alter table [BMS].[GirderCondition] alter column Inspectedbutnotmeasured bit 


EXEC sp_rename '[BMS].[GirderCondition].NumberOfSpallLocation', 'SpallLocCnt', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].Typeofcracks', 'CrckType', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].Lengthofcrack', 'CrckLength', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].widthofcracks', 'CrckWidth', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].Corrosionofreinforcement', 'CorrReinfrc', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].numberofBarsExposedandCorroded', 'CorrdExposedBarsCnt', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].PercentageOfCorrosion', 'PercCorr', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].DeflectionVisible', 'VisibleDeflectionsCnt', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].AnchorForCrossPreStressing', 'CrssPreStressAnchrg', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].NoOfanchordamagedinspan', 'DamagedAnchrgCnt', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].DegreeofCorrosionatAnchorage', 'AnchgCorrDegree', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].Inspectedbutnotmeasured', 'InspectedNtMsrd', 'COLUMN'  
EXEC sp_rename '[BMS].[GirderCondition].GirderConditionSeverity', 'GirderCondSev', 'COLUMN'
EXEC sp_rename '[BMS].[GirderCondition].GirderConditionExtent', 'GirderCondExt', 'COLUMN'



