CREATE TABLE [BMS].[PipeCond](
	[PipeCondId] [int] IDENTITY(1,1) NOT NULL,
	[BridgeCode] [nvarchar](50) NULL,
	[SurveyYear] [nvarchar](50) NULL,
	[PipeCond] [nvarchar](50) NULL,
	[PipeCondSev] [nvarchar](50) NULL,
	[PipeCondExt] [nvarchar](50) NULL,
	[HWPartialCollapse] [bit] NULL,
	[IsSpalling] [bit] NULL,
	[SpallingArea] [decimal](9, 3) NULL,
	[SpallingLocCnt] [decimal](9, 3) NULL,
	[CorrReinfrc] [bit] NULL,
	[CorrExposedDtls] [decimal](9, 3) NULL,
	[LseJntCnt] [decimal](9, 3) NULL,
	[MtrlLsJntCnt] [decimal](9, 3) NULL,
	[LseStonesLocCnt] [int] NULL,
	[PlstrCond] [nvarchar](50) NULL,
	[SpiltLocCnt] [nvarchar](50) NULL,
	[VegJnts] [nvarchar](50) NULL,
	[InspectedNtMsrd] [bit] NULL,
	[OvrlPipeCondSev] [nvarchar](50) NULL,
	[OvrlPipeCondExt] [nvarchar](50) NULL,
	[Remarks] [nvarchar](50) NULL,
	[AddedBy] [nvarchar](50) NULL,
	[AddedOn] [datetime] NULL,
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NULL,
 CONSTRAINT [PK_PipeCond] PRIMARY KEY CLUSTERED 
(
	[PipeCondId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]