
	CREATE TABLE [BMS].[SuperStructureCond](
	[SupStructCondId] [int] IDENTITY(1,1) NOT NULL,
	[BridgeCode] [nvarchar](30) NULL,
	[SurveyYear] [nvarchar](30) NULL,
	[SpanNo] [nvarchar] (30) NULL,
	[ConnectionType] [nvarchar] (30) NULL,
	[ConnectionCond] [nvarchar] (30) NULL,
	[PaintCond] [nvarchar] (30) NULL,
	[SteelMemCond] [nvarchar] (30) NULL,
	[Dimsteelmem] [decimal] (9,3) NULL,
	[Corrosion] [decimal] (9,3) NULL,
	[CorrReinfrc] [decimal] (9,3) NULL,
	[ExposedReinfLocCnt] [int] NULL,
	[CorrReinfrcLoc] [nvarchar] (30) NULL,
	[PercOfCorr] [decimal] (9,3) NULL,
	[PitCorrosion] [nvarchar] (30) NULL,
	[VisibleDeflectionsCnt] [int] NULL,
	[ModerateDeflect] [decimal] (9,3) NULL,
	[ExcessiveDeflect] [decimal] (9,3) NULL,
	[InspectedNtMsrd] [bit] NULL,
	[SupStructCondSev] [nvarchar] (30) NULL,
	[SupStructCondExt] [nvarchar] (30) NULL,
	[LseJntCnt] [int] NULL,
	[MtrlLsJntCnt] [int] NULL,
	[LseStonesLocCnt] [int] NULL,
	[PlstrCond] [nvarchar] (30) NULL,
	[SpiltLocCnt] [nvarchar] (30) NULL,
	[VegGrwJnt] [nvarchar] (30) NULL,
	[MsnrArchInspectedNtMsrd] [bit] NULL,
	[MsnrArchCondSev] [nvarchar] (30) NULL,
	[MsnrArchCondExt] [nvarchar](30) NULL,
	[DSDrngSpoutsCondSev] [nvarchar](30) NULL,
	[DSDrngSpoutsCondExt][nvarchar](30) NULL,
	[DSFPCondSev] [nvarchar](30) NULL,
	[DSFPCondExt] [nvarchar](30) NULL,
	[DSRailDmgdLen] [decimal] (9,3) NULL,
	[DSRailCondSev] [nvarchar](30) NULL,
	[DSRailCondExt] [nvarchar](30) NULL,
	[DSCrckArea] [decimal] (9,3) NULL,
	[DeprsnArea] [decimal] (9,3) NULL,
	[PotArea] [decimal] (9,3) NULL,
	[DSSrvcLnDmgd] [decimal] (9,3) NULL,
	[DSSrvcLnCondSev] [nvarchar](30) NULL,
	[DSSrvcLnCondExt] [nvarchar](30) NULL,
	[Remarks] [nvarchar](30) NULL,
	[AddedBy] [nvarchar](50) NULL,
	[AddedOn] [datetime] NULL,
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NULL,
	
 CONSTRAINT [PK_SuperStructureCond] PRIMARY KEY CLUSTERED 
(
	[SupStructCondId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


