alter table bms.BearingCondition add BridgeDetailId int
alter table bms.BearingCondition add DateofInspection datetime
alter table bms.BearingCondition add DfrmtBearingShp bit
alter table bms.BearingCondition add FrgnMtrlExists bit
alter table bms.BearingCondition add RlrsRckrsPropPositn bit
alter table bms.BearingCondition add CrckInBearingsPdstl bit
alter table bms.BearingCondition add PdstlsInspectedNtMsrd bit
alter table bms.BearingCondition add SmRstrInspectedNtMsrd bit
alter table bms.BearingCondition add PdstlsCondSev nvarchar(60)
alter table bms.BearingCondition add PdstlsCondExt nvarchar(60)
alter table bms.BearingCondition add SmRstrCondSev nvarchar(60)
alter table bms.BearingCondition add SmRstrCondExt nvarchar(60)
go
alter table bms.BearingCondition drop column BearingType
alter table bms.BearingCondition drop column Cleanliness
alter table bms.BearingCondition drop column Greasing
alter table bms.BearingCondition drop column LossofShape
alter table bms.BearingCondition drop column Others
alter table bms.BearingCondition drop column Rusting
alter table bms.BearingCondition drop column cracksatpedestal
alter table bms.BearingCondition drop column Nutsmissinglocationno
alter table bms.BearingCondition drop column Bearingsinproperposition
alter table bms.BearingCondition drop column Natureofcrackinseismicrestrainer
alter table bms.BearingCondition drop column RustingofSteel
alter table bms.BearingCondition drop column CondCode
alter table bms.BearingCondition drop column PierBearCondCode
alter table bms.BearingCondition drop column Season
GO
UPDATE bms.BearingCondition SET Compressionbulgingofsides = CASE WHEN Compressionbulgingofsides = 'Yes' THEN 1 WHEN Compressionbulgingofsides = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET SurfaceCracking = CASE WHEN SurfaceCracking = 'Yes' THEN 1 WHEN SurfaceCracking = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET RadialCrackinginthebulges = CASE WHEN RadialCrackinginthebulges = 'Yes' THEN 1 WHEN RadialCrackinginthebulges = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET ExcessiveShearDeformation = CASE WHEN ExcessiveShearDeformation = 'Yes' THEN 1 WHEN ExcessiveShearDeformation = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET Freemovementofthebearing = CASE WHEN Freemovementofthebearing = 'Yes' THEN 1 WHEN Freemovementofthebearing = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET ElementinspectedbutnotMeasured = CASE WHEN ElementinspectedbutnotMeasured = 'Yes' THEN 1 WHEN ElementinspectedbutnotMeasured = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET Cracksintheseismicrestrainer = CASE WHEN Cracksintheseismicrestrainer = 'Yes' THEN 1 WHEN Cracksintheseismicrestrainer = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET SpallingDelaminationofConcrete = CASE WHEN SpallingDelaminationofConcrete = 'Yes' THEN 1 WHEN SpallingDelaminationofConcrete = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET ExposedCorrodedreinforcement = CASE WHEN ExposedCorrodedreinforcement = 'Yes' THEN 1 WHEN ExposedCorrodedreinforcement = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET Anypartbroken = CASE WHEN Anypartbroken = 'Yes' THEN 1 WHEN Anypartbroken = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET DislodgementMovementBuckling = CASE WHEN DislodgementMovementBuckling = 'Yes' THEN 1 WHEN DislodgementMovementBuckling = 'No' THEN 0 ELSE NULL END
UPDATE bms.BearingCondition SET PaintDamage = CASE WHEN PaintDamage = 'Yes' THEN 1 WHEN PaintDamage = 'No' THEN 0 ELSE NULL END
GO
alter table bms.BearingCondition alter column Compressionbulgingofsides bit
alter table bms.BearingCondition alter column SurfaceCracking bit
alter table bms.BearingCondition alter column RadialCrackinginthebulges bit
alter table bms.BearingCondition alter column ExcessiveShearDeformation bit
alter table bms.BearingCondition alter column Freemovementofthebearing bit
alter table bms.BearingCondition alter column ElementinspectedbutnotMeasured bit
alter table bms.BearingCondition alter column Cracksintheseismicrestrainer bit
alter table bms.BearingCondition alter column SpallingDelaminationofConcrete bit
alter table bms.BearingCondition alter column ExposedCorrodedreinforcement bit
alter table bms.BearingCondition alter column Anypartbroken bit
alter table bms.BearingCondition alter column DislodgementMovementBuckling bit
alter table bms.BearingCondition alter column PaintDamage bit
GO
EXEC sp_rename 'bms.BearingCondition.AbutpierNo', 'AbtmntNo', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.Compressionbulgingofsides', 'CmprsBulgSides', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.SurfaceCracking', 'SurfaceCrck', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.RadialCrackinginthebulges', 'Rdlcrck', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.ExcessiveShearDeformation', 'ExsShrDfrmt', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.Freemovementofthebearing', 'bearingFreeMove', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.Numberoflocationswherenutsareloose', 'NutLooseLocCnt', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.ElementinspectedbutnotMeasured', 'BearingInspectedNtMsrd', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.BearingConditionSeverity', 'BearingCondSev', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.BearingConditionExtent', 'BearingCondExt', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.NumberofCracks', 'CrckCnt', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.Typeofcracks', 'CrckType', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.WidthofCrack', 'CrckWidth', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.Cracksintheseismicrestrainer', 'CrcksInSmrstr', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.SpallingDelaminationofConcrete', 'SplDlmnCncrt', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.ExposedCorrodedreinforcement', 'ExpCrrdReinfrcmnt', 'COLUMN'
EXEC sp_rename 'bms.BearingCondition.DislodgementMovementBuckling', 'DisldgmntBcklng', 'COLUMN'
GO
alter table bms.AbutmentCondition add BridgeDetailId int
alter table bms.AbutmentCondition add DateofInspection datetime
alter table bms.AbutmentCondition add SubStrSpallingArea decimal(9,3)
alter table bms.AbutmentCondition add FndtionIsScoursObsv bit
alter table bms.AbutmentCondition add FndtionScoursDepth decimal(9,3)
alter table bms.AbutmentCondition add FndtionIsStlmnt bit
alter table bms.AbutmentCondition add FndtionStlmntDepth decimal(9,3)
alter table bms.AbutmentCondition add FndtionIsRiverBedDmgd bit
alter table bms.AbutmentCondition add FndtionInspectedNtMsrd bit
alter table bms.AbutmentCondition add FndtionflotingbodiesImpct nvarchar(60)
alter table bms.AbutmentCondition add FndtionCondSev nvarchar(60)
alter table bms.AbutmentCondition add FndtionCondExt nvarchar(60)
alter table bms.AbutmentCondition add SubStrCrckLen decimal(9,3)
alter table bms.AbutmentCondition add DirtWallRdlcrck bit
alter table bms.AbutmentCondition add DirtWallExsShrDfrmt bit
alter table bms.AbutmentCondition add SubStrIsCracked bit
alter table bms.AbutmentCondition add SubStrIsRCCExposed bit
alter table bms.AbutmentCondition add DSDmgedExpsionJnt bit
alter table bms.AbutmentCondition add DSDmgedApprchSlab bit
alter table bms.AbutmentCondition add SubStrRCCExposedDtls nvarchar(60)
alter table bms.AbutmentCondition add SubStrLseStonesLocCnt nvarchar(60)
alter table bms.AbutmentCondition add SubStrPlstrCond nvarchar(60)
alter table bms.AbutmentCondition add SubStrSpiltLocCnt nvarchar(60)
alter table bms.AbutmentCondition add DSExpsionJntCondSev nvarchar(60)
alter table bms.AbutmentCondition add DSExpsionJntCondExt nvarchar(60)
alter table bms.AbutmentCondition add DSApprchSlabCondSev nvarchar(60)
alter table bms.AbutmentCondition add DSApprchSlabCondExt nvarchar(60)
alter table bms.AbutmentCondition add SubStrMtrlLsJntCnt int
alter table bms.AbutmentCondition add SubStrLseJntCnt int
alter table bms.AbutmentCondition add SubStrInspectedNtMsrd bit
alter table bms.AbutmentCondition add SubstrCondSev nvarchar(60)
alter table bms.AbutmentCondition add SubstrCondExt nvarchar(60)
go
alter table bms.AbutmentCondition drop column SpanNo
alter table bms.AbutmentCondition drop column AbutmentCapMaterialType
alter table bms.AbutmentCondition drop column RCCCracking
alter table bms.AbutmentCondition drop column NoofBarsExposedRCC
alter table bms.AbutmentCondition drop column RCCCorrosionofReinforcement
alter table bms.AbutmentCondition drop column PoorConcrete
alter table bms.AbutmentCondition drop column AbutmentMaterialType
alter table bms.AbutmentCondition drop column MasonryCracking
alter table bms.AbutmentCondition drop column MasonrySpalling
alter table bms.AbutmentCondition drop column MasonryBulging
alter table bms.AbutmentCondition drop column PoorPointing
alter table bms.AbutmentCondition drop column DeteriorationofBricksorStones
alter table bms.AbutmentCondition drop column NoofBarsExposedMAS
alter table bms.AbutmentCondition drop column CorrosionofReinforcement
alter table bms.AbutmentCondition drop column DamagetoRCCPCCcoping
alter table bms.AbutmentCondition drop column DecscriptionofDamage
alter table bms.AbutmentCondition drop column PercentageofSurfacecracked
alter table bms.AbutmentCondition drop column Impactduetofloatingbodies
alter table bms.AbutmentCondition drop column CondCode
alter table bms.AbutmentCondition drop column Season
GO
UPDATE bms.AbutmentCondition SET DeformationinDirtWall = CASE WHEN DeformationinDirtWall = 'Yes' THEN 1 WHEN DeformationinDirtWall = 'No' THEN 0 ELSE NULL END
UPDATE bms.AbutmentCondition SET Cracksindirtwall = CASE WHEN Cracksindirtwall = 'Yes' THEN 1 WHEN Cracksindirtwall = 'No' THEN 0 ELSE NULL END
UPDATE bms.AbutmentCondition SET EleInsptdbutnotmesrd = CASE WHEN EleInsptdbutnotmesrd = 'Yes' THEN 1 WHEN EleInsptdbutnotmesrd = 'No' THEN 0 ELSE NULL END
GO
alter table bms.AbutmentCondition alter column DeformationinDirtWall bit
alter table bms.AbutmentCondition alter column Cracksindirtwall bit
alter table bms.AbutmentCondition alter column EleInsptdbutnotmesrd bit
alter table bms.AbutmentCondition alter column WeepHolesblocked bit
alter table bms.AbutmentCondition alter column RCCSpalling bit
GO
EXEC sp_rename 'bms.AbutmentCondition.DeformationinDirtWall', 'DirtWallDfrmt', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.Cracksindirtwall', 'DirtWallCrcks', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.EleInsptdbutnotmesrd', 'DirtWallInspectedNtMsrd', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.AbutmentConditionSeverity', 'DirtWallCondSev', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.AbutmentConditionExtent', 'DirtWallCondExt', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.Widthofcracks', 'SubStrCrckWidth', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.LocationofCracks', 'SubStrCrckLoc', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.Natureofcracks', 'SubStrCrckNature', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.TotalPercentageofsurfacecracked', 'SubStrCrckPercent', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.WeepHolesblocked', 'SubStrWpHolesBlocked', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.RCCSpalling', 'SubStrIsSpalling', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.NumberofspallsLocation', 'SubStrSpallingLocCnt', 'COLUMN'
EXEC sp_rename 'bms.AbutmentCondition.vegetationoverthecap', 'SubStrVegJnts', 'COLUMN'
GO
alter table bms.PierCondition add BridgeDetailId int
alter table bms.PierCondition add DateofInspection datetime
alter table bms.PierCondition add SubStrSpallingArea decimal(9,3)
alter table bms.PierCondition add FndtionIsScoursObsv bit
alter table bms.PierCondition add FndtionScoursDepth decimal(9,3)
alter table bms.PierCondition add FndtionIsStlmnt bit
alter table bms.PierCondition add FndtionStlmntDepth decimal(9,3)
alter table bms.PierCondition add FndtionIsRiverBedDmgd bit
alter table bms.PierCondition add FndtionInspectedNtMsrd bit
alter table bms.PierCondition add FndtionflotingbodiesImpct nvarchar(60)
alter table bms.PierCondition add FndtionCondSev nvarchar(60)
alter table bms.PierCondition add FndtionCondExt nvarchar(60)
alter table bms.PierCondition add PierCapCrcklength decimal(9,3)
alter table bms.PierCondition add PierCapCrckWidth decimal(9,3)
alter table bms.PierCondition add PierCapCrckPercent decimal(9,3)
alter table bms.PierCondition add PierCapIsSpalling bit
alter table bms.PierCondition add PierCapSpallingArea decimal(9,3)
alter table bms.PierCondition add PierCapSpallingAvgDepth decimal(9,3)
alter table bms.PierCondition add PierCapIsRCCExposed bit
alter table bms.PierCondition add PierCapInspectedNtMsrd bit
alter table bms.PierCondition add PierCapCondSev nvarchar(60)
alter table bms.PierCondition add PierCapCondExt nvarchar(60)
alter table bms.PierCondition add SubStrIsCracked bit
alter table bms.PierCondition add SubStrCrckLength decimal(9,3)
alter table bms.PierCondition add SubStrCrckWidth decimal(9,3)
alter table bms.PierCondition add SubStrCrckNature nvarchar(60)
alter table bms.PierCondition add SubStrCrckLoc nvarchar(60)
alter table bms.PierCondition add SubStrSpallingLocCnt nvarchar(60)
alter table bms.PierCondition add DSDmgedExpsionJnt bit
alter table bms.PierCondition add SubStrIsRCCExposed bit
alter table bms.PierCondition add SubStrInspectedNtMsrd bit
alter table bms.PierCondition add DSExpsionJntCondSev nvarchar(60)
alter table bms.PierCondition add DSExpsionJntCondExt nvarchar(60)
alter table bms.PierCondition add DSDmgedApprchSlab bit
alter table bms.PierCondition add DSApprchSlabCondSev nvarchar(60)
alter table bms.PierCondition add DSApprchSlabCondExt nvarchar(60)
go
alter table bms.PierCondition drop column SpanNo
alter table bms.PierCondition drop column PierCapMaterialType
alter table bms.PierCondition drop column RCCNoofbarsexposed
alter table bms.PierCondition drop column PoorConcrete
alter table bms.PierCondition drop column Vegetationoverthecap
alter table bms.PierCondition drop column PierMaterialType
alter table bms.PierCondition drop column MasonryNoofbarsexposed
alter table bms.PierCondition drop column MasonryCracking
alter table bms.PierCondition drop column MasonryBulging
alter table bms.PierCondition drop column PoorPointing
alter table bms.PierCondition drop column DeteriorationofBricksorStones
alter table bms.PierCondition drop column DamagetoRCCPCCcoping
alter table bms.PierCondition drop column WeepHolesblocked
alter table bms.PierCondition drop column shiftedstonesorbr
alter table bms.PierCondition drop column plasterovermasonryAbutment
alter table bms.PierCondition drop column Impactduetofloatingbodies
alter table bms.PierCondition drop column lossofjointmaterial
alter table bms.PierCondition drop column CondCode
alter table bms.PierCondition drop column Season
GO
EXEC sp_rename 'bms.PierCondition.AbutmentPierNumber', 'PierNo', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.TotalPercentageofsurfacecracked', 'SubStrCrckPercent', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.RCCSpalling', 'SubStrIsSpalling', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.RCCCorrosionofreinforcement', 'SubStrRCCExposedDtls', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.Numberlocationofloosejoints', 'SubStrLseJntCnt', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.lossofjointmaterialiden', 'SubStrMtrlLsJntCnt', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.NumberLocationoflooseorshiftedstones', 'SubStrLseStonesLocCnt', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.Conditionofplasterovermasonrypier', 'SubStrPlstrCond', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.crackingdamaged', 'SubStrSpiltLocCnt', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.DetailofvegetationgrowthatJoints', 'SubStrVegJnts', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.PierConditionSeverity', 'SubStrCondSev', 'COLUMN'
EXEC sp_rename 'bms.PierCondition.PierConditionExtent', 'SubStrCondExt', 'COLUMN'
GO
CREATE TABLE [BMS].[ReturnWall_WingWall] (
    ReturnWallWingWallid int IDENTITY(1,1) NOT NULL,
    BridgeDetailId INT NULL,
    BridgeCode VARCHAR(50) NULL,
    DateofInspection DATETIME NULL,
    SurveyYear VARCHAR(50) NULL,
    AbutmentNo VARCHAR(50) NULL,
    SubStrRWPartialCollapse BIT NULL,
    SubStrIsCracked BIT NULL,
    SubStrCrckLen DECIMAL(5,2) NULL,
    SubStrCrckWidth DECIMAL(5,2) NULL,
    SubStrCrckLoc VARCHAR(255) NULL,
    SubStrCrckNature VARCHAR(255) NULL,
    SubStrCrckPercent DECIMAL(5,2) NULL,
    SubStrIsSpalling BIT NULL,
    SubStrSpallingArea DECIMAL(10,2) NULL,
    SubStrSpallingLocCnt DECIMAL(10,2) NULL,
    SubStrRCCExposed BIT NULL,
    SubStrRCCExposedDtls VARCHAR(255) NULL,
    SubStrLseJntCnt VARCHAR(255) NULL,
    SubStrMtrlLsJntCnt INT NULL,
    SubStrLseStonesLocCnt VARCHAR(255) NULL,
    SubStrPlstrCond VARCHAR(255) NULL,
    SubStrSpiltLocCnt VARCHAR(255) NULL,
    SubStrVegJnts VARCHAR(255) NULL,
    SubStrInspectedNtMsrd BIT NULL,
    SubStrCondSev VARCHAR(50) NULL,
    SubStrCondExt VARCHAR(255) NULL,
    FndtionIsScoursObsv BIT NULL,
    FndtionScoursDepth float NULL,
    FndtionIsStlmnt BIT NULL,
    FndtionStlmntDepth DECIMAL(5,2) NULL,
    FndtionflotingbodiesImpct VARCHAR(255) NULL,
    FndtionInspectedNtMsrd BIT NULL,
    FndtionCondSev VARCHAR(50) NULL,
    FndtionCondExt VARCHAR(255) NULL,
    Remarks VARCHAR(1000) NULL,
	AddedBy	VARCHAR(50) NULL,
    AddedOn	DATETIME NULL,
    ModifiedBy	VARCHAR(50) NULL,
    ModifiedOn	DATETIME NULL
CONSTRAINT [PK_ReturnWall_WingWall] PRIMARY KEY CLUSTERED 
(
	[ReturnWallWingWallid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) 
GO
CREATE TABLE bms.PierBearingCondition (
    PierBearingConditionid int IDENTITY(1,1) NOT NULL,
    BridgeDetailId INT NULL,
    BridgeCode VARCHAR(50) NULL,
    DateofInspection DATETIME NULL,
    SurveyYear VARCHAR(50) NULL,
    PierNo VARCHAR(50) NULL,
    CmprsBulgSides BIT NULL,
    SurfaceCrck BIT NULL,
    Rdlcrck BIT NULL,
    ExsShrDfrmt BIT NULL,
    DfrmtBearingShp BIT NULL,
    AnchorBoltsDamaged VARCHAR(50) NULL,
    bearingFreeMove BIT NULL,
    FrgnMtrlExists BIT NULL,
    RlrsRckrsPropPositn BIT NULL,
    NutLooseLocCnt DECIMAL(5,2) NULL,
    BearingInspectedNtMsrd BIT NULL,
    BearingCondSev VARCHAR(50) NULL,
    BearingCondExt VARCHAR(255) NULL,
    CrckInBearingsPdstl BIT NULL,
    CrckCnt DECIMAL(5,2) NULL,
    CrckType VARCHAR(255) NULL,
    CrckWidth DECIMAL(5,2) NULL,
    PdstlsInspectedNtMsrd BIT NULL,
    PdstlsCondSev VARCHAR(50) NULL,
    PdstlsCondExt VARCHAR(255) NULL,
    CrcksInSmrstr BIT NULL,
    SplDlmnCncrt BIT NULL,
    ExpCrrdReinfrcmnt BIT NULL,
    Anypartbroken BIT NULL,
    DisldgmntBcklng BIT NULL,
    PaintDamage BIT NULL,
    LoosenutsBoltsCrackedweldetc VARCHAR(50) NULL,
    SmRstrInspectedNtMsrd BIT NULL,
    SmRstrCondSev VARCHAR(50) NULL,
    SmRstrCondExt VARCHAR(255) NULL,
    Remarks VARCHAR(1000) NULL,
	AddedBy	VARCHAR(50) NULL,
    AddedOn	DATETIME NULL,
    ModifiedBy	VARCHAR(50) NULL,
    ModifiedOn	DATETIME NULL
CONSTRAINT [PK_PierBearingCondition] PRIMARY KEY CLUSTERED 
(
	[PierBearingConditionid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) 
GO
alter table bms.BearingCondition drop column BridgeDetailId
alter table bms.AbutmentCondition drop column BridgeDetailId
alter table [BMS].[ReturnWall_WingWall] drop column BridgeDetailId
alter table bms.PierBearingCondition drop column BridgeDetailId
alter table bms.PierCondition drop column BridgeDetailId
alter table bms.BearingCondition drop column DateofInspection
alter table bms.AbutmentCondition drop column DateofInspection
alter table [BMS].[ReturnWall_WingWall] drop column DateofInspection
alter table bms.PierBearingCondition drop column DateofInspection
alter table bms.PierCondition drop column DateofInspection